#!/bin/sh

WAS_USER_SCRIPT=""
USER_INSTALL_ROOT=""

binDir=`dirname "$0"`
. "$binDir"/setupCmdLine.sh

#Platform specific args...
PLATFORM=`/bin/uname`
case $PLATFORM in
  AIX)
    CONSOLE_ENCODING=-Dws.output.encoding=console;;
  Linux)
    CONSOLE_ENCODING=-Dws.output.encoding=console;;
  SunOS)
    CONSOLE_ENCODING=-Dws.output.encoding=console;;
  HP-UX)
    CONSOLE_ENCODING=-Dws.output.encoding=console;;
  OS/390)
    EXTRA_D_ARG=-Dfile.encoding=ISO8859-1
    EXTRA_X_ARG=-Xnoargsconversion ;;
esac

# Set the ulimit
LIMIT=`ulimit -n`
if [ "${LIMIT}" != "unlimited" ]
then
  if [ $LIMIT -lt 8192 ]
  then
    ulimit -n 8192
  fi
fi

"$JAVA_HOME/bin/java" \
  "$OSGI_INSTALL" "$OSGI_CFG" $OSGI_CLASS_SHARING \
  $EXTRA_X_ARG \
  $CONSOLE_ENCODING \
  -DKeepProfileName=true \
  -Dcom.ibm.websphere.migration.serverRoot="$WAS_HOME" \
  -Dws.ext.dirs="$WAS_EXT_DIRS" \
  -Dwas.install.root="$WAS_HOME" \
  $WAS_LOGGING \
  $EXTRA_D_ARG \
  -classpath "$WAS_CLASSPATH" com.ibm.wsspi.bootstrap.WSPreLauncher \
  -nosplash  -application com.ibm.ws.bootstrap.WSLauncher com.ibm.wbicommon.migration.BPMSnapshotNode "$@"

