@echo off
if "%1" == "" goto invalidUsage

if "%1" == "-help" goto usage

if not exist "%1" goto invalidDir

if "%2" == "" goto invalidUsageCluster
if "%3" == "" goto invalidUsageProfile

set WAS_USER_SCRIPT=
set USER_INSTALL_ROOT=

call "%~dp0setupCmdLine.bat" -profileName "%3"

if "%USER_INSTALL_ROOT%" == "" goto invalidProfile

echo Deployment Manager Profile location is "%USER_INSTALL_ROOT%"

echo Install location is "%WAS_HOME%"

"%USER_INSTALL_ROOT%\bin\ws_ant" -f "%WAS_HOME%\util\BPMProfileUpgrade.ant" -DmigrationDir="%1" -Dcluster="%2"

goto end

:invalidDir
echo Backup Directory "%1" does not exist. Please specify a valid backup Directory.
goto end

:invalidUsage
echo Usage: BPMMigrateCluster ^<backupDir^> ^<cluster^> ^<target deployment manager profile name^>
goto end

:usage
echo Usage: BPMMigrateCluster ^<backupDir^>  ^<cluster^> ^<target deployment manager profile name^>
goto end

:invalidUsageCluster
echo Cluster name and profile name not specified. 
echo Usage: BPMMigrateCluster "%1"  ^<cluster^> ^<target deployment manager profile name^>
goto end

:invalidUsageProfile
echo Profile name not specified. 
echo Usage: BPMMigrateCluster "%1" "%2" ^<target deployment manager profile name^>
goto end

:invalidProfile
echo Profile name %3 specified is incorrect. Please specify the correct profile name for target deployment manager. 
echo Usage: BPMMigrateCluster "%1" "%2" ^<target deployment manager profile name^>

:end
